const { Pool } = require('pg');

const options = {
  user: process.env.POSTGRES_USER,
  host: process.env.POSTGRES_HOST,
  database: process.env.POSTGRES_DB,
  password: process.env.POSTGRES_PASSWORD,
  port: process.env.POSTGRES_PORT,
};

const pool = new Pool(options);

module.exports = {
  query: (text, params) => pool.query(text, params),
};
