const CategoriaDAO = require('../dao/CategoriaDAO');
const Categoria = require('../model/Categoria');

class CategoriaService {
  constructor() {
    this.dao = new CategoriaDAO();
  }

  async listarTodos() {
    const rows = await this.dao.listarTodos();
    const categorias = rows.map((row) => new Categoria(row.id, row.nome));
    return categorias;
  }
}

module.exports = CategoriaService;
