const EixoDAO = require('../dao/EixoDAO');
const Eixo = require('../model/Eixo');

class EixoService {
  constructor() {
    this.dao = new EixoDAO();
  }

  async listarTodos() {
    const rows = await this.dao.listarTodos();
    const eixos = rows.map((row) => new Eixo(row.id, row.nome));
    return eixos;
  }
}

module.exports = EixoService;
