const request = require('supertest');

const app = require('../src/app');

describe('app', () => {
  it('deve retornar mensagem de não encontrado', (done) => {
    request(app)
      .get('/recurso_nao_existente')
      .set('Accept', 'application/json')
      .expect('Content-Type', /json/)
      .expect(404, done);
  });
});

describe('GET /', () => {
  it('deve retornar uma mensagem estática da API', (done) => {
    request(app)
      .get('/')
      .set('Accept', 'application/json')
      .expect('Content-Type', /json/)
      .expect(200, {
        message: 'API de Devolutivas do Programa de Metas'
      }, done);
  });
});
