# Release Notes - Versão 1.0.0-rc2

A [versão 1.0.0-rc2](https://codigoaberto.prefeitura.sp.gov.br/sgm/devolutivas-pdm/-/milestones/2) é a segunda versão do site, entregue em 23/06/2021 para homologação, contendo ajustes de homologação e a funcionalidade de compartilhamento.

## Melhorias / Funcionalidades

- Funcionalidade de compartilhamento
- Google Analytics
- Habilitação do GZIP
- Inclusão do logotipo do PdM no rodapé
- Inserção do texto "Menu"
- Popup e textos de introdução

## Ajustes / Correções

- Ajuste no layout dos campos dentro do modal
- Ajuste no tamanho do logotipo
- Ajuste no texto para exibir menos devolutivas
- Ajuste nos links do menu
- Alteração de Subtema para Tema
- Correção do scroll ao exibir mais devolutivas
- Correção do tamanho das tags

## Screenshots

### Versão Desktop

![Landing Page](screenshots/ss-desktop-01.png)
![Landing Page com menu lateral](screenshots/ss-desktop-02.png)
![Sobre o site](screenshots/ss-desktop-03.png)
![Resultado de pesquisa](screenshots/ss-desktop-04.png)
![Modal com detalhamento da contribuição](screenshots/ss-desktop-05.png)

### Versão Mobile

![Landing Page (parte 1)](screenshots/ss-mobile-01.png)
![Landing Page (parte 2)](screenshots/ss-mobile-02.png)
![Landing Page com menu lateral](screenshots/ss-mobile-03.png)
![Sobre o site](screenshots/ss-mobile-04.png)
![Resultado de pesquisa](screenshots/ss-mobile-05.png)
![Menu lateral de pesquisa](screenshots/ss-mobile-06.png)
![Modal com detalhamento da contribuição (parte 1)](screenshots/ss-mobile-07.png)
![Modal com detalhamento da contribuição (parte 2)](screenshots/ss-mobile-08.png)
