# Devolutivas do Programa de Metas 2021-2024

Este é o **Portal de Devolutivas**, uma iniciativa da **Prefeitura de São Paulo**, para responder as sugestões recebidas durante o ciclo participativo do Programa de Metas (PdM) 2021-2024 da Cidade. Este canal tem o objetivo de ampliar a transparência e facilitar o controle social do planejamento público municipal.

O **PdM** é uma exigência da Lei Orgânica do Município desde 2008 e, para o quadriênio 2021-2024, teve o período de Consulta Pública de sua versão inicial compreendido entre os dias 8 de abril e 10 de maio de 2021.

Durante o ciclo participativo, a população pôde, por meio de 36 audiências gerais, regionais e temáticas e da plataforma de governo aberto municipal **Participe+**, construir coletivamente este importante instrumento junto ao poder público.

Por aqui, é possível aplicar diferentes filtros ou fazer uma busca livre para encontrar o retorno da Prefeitura para cada sugestão encaminhada pelas plataformas de participação.

## 📔 Documentação

- [Release Notes](docs/release_notes/)
- [Frontend](frontend/README.md)
- [Backend](backend/README.md)
- [Banco de Dados](database/README.md)
- [Deploy](docs/DEPLOY.md)

## 📅 Histórico

- 26/04/2021: Início do projeto
- 04/06/2021: Início do desenvolvimento
- 15/06/2021: Entrega da [versão 1.0.0-rc1](docs/release_notes/1.0.0-rc1)
- 23/06/2021: Entrega da [versão 1.0.0-rc2](docs/release_notes/1.0.0-rc2)
- 30/06/2021: Entrega da [versão 1.0.0-rc3](docs/release_notes/1.0.0-rc3) (final) e lançamento da plataforma
- 01/07/2021: Entrega da versão [1.1.0-rc1](docs/release_notes/1.1.0-rc1)
