# Configuração e instalação local

Requisitos:
- Ter o Node.js (versão 16.2.0) instalado;
- Ter o banco de dados PostgreSQL (versão 13.3) instalado (localmente ou em máquina virtual/remota);
- Ter executado os [scripts de banco de dados](database/).

1. Criar arquivo `.env` e configurar as variáveis de ambiente conforme exemplo disponível em `.env.sample`:

```sh
cp .env.sample .env
```

Esse arquivo deverá conter as informações de conexão com o banco de dados.

2. Instalar as dependências do projeto.

```sh
npm install
```

3. Executar o ambiente.

```sh
npm run dev
```

Para executar os testes, executar o comando `npm test` (requer que o ambiente esteja sendo executado, para testar os endpoints).