const db = require('../db');

class SecretariaDAO {
  constructor() {
    this.db = db;
  }

  async listarTodas() {
    const query = {
      name: 'get-secretarias',
      text: 'SELECT * FROM tb_secretaria',
    };
    const { rows } = await this.db.query(query);
    return rows;
  }
}

module.exports = SecretariaDAO;
