const SecretariaDAO = require('../dao/SecretariaDAO');
const Secretaria = require('../model/Secretaria');

class SecretariaService {
  constructor() {
    this.dao = new SecretariaDAO();
  }

  async listarTodas() {
    const rows = await this.dao.listarTodas();
    const secretarias = rows.map((row) => new Secretaria(row.id, row.sigla));
    return secretarias;
  }
}

module.exports = SecretariaService;
