const SubprefeituraDAO = require('../dao/SubprefeituraDAO');
const Subprefeitura = require('../model/Subprefeitura');

class SubprefeituraService {
  constructor() {
    this.dao = new SubprefeituraDAO();
  }

  async listarTodos() {
    const rows = await this.dao.listarTodos();
    const subprefeituras = rows.map((row) => new Subprefeitura(row.id, row.nome));
    return subprefeituras;
  }
}

module.exports = SubprefeituraService;
